{
   "format_version":"1.16.100",
   "minecraft:item":{
      "description":{
         "category": "nature",
         "identifier":"vatonage:spawn_key_crafter"
      },
      "components":{
         "minecraft:icon":{
            "texture":"spawn_key_crafter"
         },
         "minecraft:display_name":{
            "value":"Key Crafter"
         },
	"minecraft:render_offsets": {
		"main_hand": {
			"third_person": {
				"position": [0.26, 1.0, -0.55],
				"scale": [0.05, 0.05, 0.05]
			},
			"first_person": {
				"position": [0.88, -0.2, -1.6],
				"scale": [0.03, 0.03, 0.03]
			}
		}
	},
         "minecraft:on_use":{
            "on_use":{
               "event":"used"
            }
         }
      },
      "events":{
         "used":{
            "swing":{
               
            },
            "run_command":{
               "command":[
                  "give @p vatonage:key_crafter",
                  "clear @p vatonage:spawn_key_crafter 0 1"
               ]
            }
         }
      }
   }
}